### Method

# Cogl Texture2D set_auto_mipmap

#### Declaration [src]

    void
    cogl_texture_2d_set_auto_mipmap (
      CoglTexture2D* texture,
      gboolean value
    )

#### Description [src]

Sets whether the texture will automatically update the smaller mipmap levels after any part of level 0 is updated. The update will only occur whenever the texture is used for drawing with a texture filter that requires the lower mipmap levels. An application should disable this if it wants to upload its own data for the other levels. By default auto mipmapping is enabled.

#### Parameters

`value`

  Type: `gboolean`

  The new value for whether to auto mipmap.